require( "scripts/common/simple_object.lua" );

local	indicator_pos_x = 29;
local	indicator_pos_y = -34;

local ObjectTable = GetObjectTable("fixcattoy");

cattoy = simple_object:new{
	anchor_x=1000,
	anchor_y=20,
	texture="anim/objects/wool/wool",
	animation_script="anim/objects/default_animation_script.lua",
	glow_texture="anim/objects/wool/wool_glow",
	glow_animation_script="anim/objects/default_glow_animation_script.lua",
	
	indicator_ui_x=indicator_pos_x,
	indicator_ui_y=indicator_pos_y,
	dad_ui_x=indicator_pos_x-35,
	dad_ui_y=indicator_pos_y,
	mom_ui_x=indicator_pos_x-35,
	mom_ui_y=indicator_pos_y,
	
	character_messing_animation = "scratching",
	character_cleaning_animation = "doing_bow_down",
	
	check_teamwork = true;
	finish_teamwork = true;
	teamworktask_name = "petscratch";

	messing_state_time = ObjectTable["messing_time"],
	cleaning_state_time = ObjectTable["cleaning_time"],
	stress_inc = ObjectTable["stress_inc"],
	
	--animated = true;
	
	flipped_animation = false;
}

function cattoy:new(o)
	o = o or {}   -- create object if user does not provide one
	setmetatable(o, self)
	self.__index = self
	return o
end